#!/usr/bin/env groovy

pipeline {
  agent any

  stages {
    stage('check user') {
      steps {
          script {
            if ( ! env.BUILD_USER.equals("admin")) {
                currentBuild.result = 'ABORTED'
                error('Only admin launch this job. Aborting the build')
            }
            sh "printenv"
          }
      }
     }
    stage('Init') {
      steps {
          sh "mkdir -p \"${JENKINS_HOME}/DockerShared/${JOB_BASE_NAME}\"" 
      }
    }
     stage('docker-compose') {
         steps {
             sh "docker-compose build"
             sh "docker-compose up -d"
             sh "docker ps"
         }
     }
  }
  post {
      always {
         sh "docker-compose down || true"
      }
   }    
}
